## org.hibernate.engine.spi
Class EJB3CascadeStyle

    java.lang.Object
      org.hibernate.engine.spi.CascadeStyle
          org.hibernate.engine.spi.EJB3CascadeStyle

All Implemented Interfaces:
  Serializable

    public abstract class EJB3CascadeStyle

extends CascadeStyle

Becasue CascadeStyle is not opened and package protected, I need to subclass and override the persist alias Note that This class has to be triggered by EJB3PersistEventListener at class loading time TODO get rid of it for 3.3

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.engine.spi.CascadeStyle
`CascadeStyle.MultipleCascadeStyle`

Field Summary
`static CascadeStyle` `PERSIST_EJB3` cascade using EJB3CascadingAction

Fields inherited from class org.hibernate.engine.spi.CascadeStyle
`ALL, ALL_DELETE_ORPHAN, DELETE, DELETE_ORPHAN, EVICT, LOCK, MERGE, NONE, PERSIST, REFRESH, REPLICATE, UPDATE`

Constructor Summary
`EJB3CascadeStyle()`

Method Summary

Methods inherited from class org.hibernate.engine.spi.CascadeStyle
`doCascade, getCascadeStyle, hasOrphanDelete, reallyDoCascade`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERSIST_EJB3

    public static final CascadeStyle PERSIST_EJB3

  cascade using EJB3CascadingAction

Constructor Detail

### EJB3CascadeStyle

    public EJB3CascadeStyle()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.